API
X (Twitter) API
The AI-powered X provides 360° Global Media Data & Intelligence on X (Twitter) users, community managers, journalists, brands, and real-time communication teams.
Справочник API Версия: 1.0.0 7 Точки доступа Аутентификация
Базовый URL
https://pressmonitor.com/api Аутентификация
Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/twitter_user X (Twitter) Twitter Utilisateur
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username | string | query | Да | Username |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_tweets X (Twitter) Twitter Tweets
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username | string | query | Да | Username |
| count | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_tweets?username=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_search X (Twitter) Twitter Recherche
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| query | string | query | Да | Search query |
| count | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_search?query=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_tweet X (Twitter) Twitter Tweet
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| pid | string | query | Да | Tweet ID |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_tweet?pid=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_followers X (Twitter) Twitter Abonnés
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| user | string | query | Да | Numeric user ID |
| count | integer | query | Нет | Number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_followers?user=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_followers_page X (Twitter) Twitter Abonnés Page
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| user | string | query | Да | Numeric user ID |
| count | integer | query | Нет | Number of results |
| cursor | string | query | Нет | Pagination cursor |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_followers_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/twitter_followings_page X (Twitter) Twitter Abonnements Page
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| user | string | query | Да | Numeric user ID |
| count | integer | query | Нет | Number of results |
| cursor | string | query | Нет | Pagination cursor |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/twitter_followings_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
